#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire700one4xi.py">
#<abstract4xi abstract = "fires to direction one and to distance 700"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire700one4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

       
# -------------------------------------------------------------------------------------------------
# SHOT2ONE - COORDINATE SIGNS OF SHOOT2ONE4XI: (X + ,Y + ,Z + )
# -------------------------------------------------------------------------------------------------  

global shot2one7004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings - copied from load2one4xi.py results to access faster by verb4xi.py
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False 


                  
# -------------------------------------------------------------------------------------------------
# 700
# -------------------------------------------------------------------------------------------------                                          
shot2one7004xi = {
                  1:'0x0y699z',
                  2:'0x14y699z',
                  3:'0x1y699z',
                  4:'0x21y699z',
                  5:'0x463y524z',
                  6:'0x7y699z',
                  7:'10x18y699z',
                  8:'113x421y547z',
                  9:'120x633y273z',
                  10:'124x501y472z',
                  11:'127x555y406z',
                  12:'127x604y329z',
                  13:'12x25y699z',
                  14:'12x61y697z',
                  15:'133x410y551z',
                  16:'13x32y699z',
                  17:'13x54y697z',
                  18:'149x489y477z',
                  19:'14x39y698z',
                  20:'14x46y698z',
                  21:'152x397y555z',
                  22:'153x623y279z',
                  23:'155x544y411z',
                  24:'157x593y336z',
                  25:'170x383y559z',
                  26:'173x476y482z',
                  27:'182x531y417z',
                  28:'184x611y285z',
                  29:'187x581y342z',
                  30:'188x369y564z',
                  31:'18x534y451z',
                  32:'196x462y487z',
                  33:'204x354y568z',
                  34:'208x517y423z',
                  35:'20x0y699z',
                  36:'20x652y253z',
                  37:'215x598y292z',
                  38:'216x567y348z',
                  39:'218x446y492z',
                  40:'219x338y572z',
                  41:'22x17y699z',
                  42:'233x321y576z',
                  43:'233x501y428z',
                  44:'238x430y497z',
                  45:'23x457y529z',
                  46:'244x551y354z',
                  47:'245x583y298z',
                  48:'246x304y580z',
                  49:'257x484y434z',
                  50:'258x286y584z',
                  51:'258x413y502z',
                  52:'268x268y587z',
                  53:'26x22y699z',
                  54:'271x535y360z',
                  55:'274x567y304z',
                  56:'276x395y507z',
                  57:'277x250y591z',
                  58:'280x467y439z',
                  59:'286x231y595z',
                  60:'292x212y599z',
                  61:'293x376y512z',
                  62:'297x517y366z',
                  63:'301x448y445z',
                  64:'302x549y311z',
                  65:'309x356y516z',
                  66:'30x29y698z',
                  67:'31x626y311z',
                  68:'322x428y450z',
                  69:'322x497y372z',
                  70:'324x335y521z',
                  71:'328x530y317z',
                  72:'337x314y526z',
                  73:'33x35y698z',
                  74:'341x407y455z',
                  75:'345x477y378z',
                  76:'349x293y530z',
                  77:'354x509y323z',
                  78:'359x385y461z',
                  79:'360x271y535z',
                  80:'367x455y384z',
                  81:'369x249y539z',
                  82:'36x42y697z',
                  83:'375x362y466z',
                  84:'378x487y329z',
                  85:'37x50y697z',
                  86:'388x432y389z',
                  87:'390x339y471z',
                  88:'3x83y694z',
                  89:'401x464y336z',
                  90:'403x315y476z',
                  91:'407x408y395z',
                  92:'40x580y388z',
                  93:'415x291y481z',
                  94:'422x440y342z',
                  95:'425x384y401z',
                  96:'441x359y407z',
                  97:'442x415y348z',
                  98:'44x66y796z',
                  99:'456x333y412z',
                  100:'461x389y354z',
                  101:'46x528y456z',
                  102:'478x362y360z',
                  103:'47x450y533z',
                  104:'4x5y699z',
                  105:'54x647y260z',
                  106:'64x620y317z',
                  107:'6x0y699z',
                  108:'6x76y695z',
                  109:'70x442y538z',
                  110:'70x573y394z',
                  111:'73x520y461z',
                  112:'7x11y699z',
                  113:'88x641y266z',
                  114:'91x432y542z',
                  115:'96x613y323z',
                  116:'99x511y467z',
                  117:'99x565y400z',
                  118:'9x585y383z',
                  119:'9x69y696z'}

#"
#"/>
    

# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire700one4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire700one4xi(queue2one, consumer_channel2one, publisher_channel2one):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE70ONE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE70ONE4XI -  QUEUE2ONE: ", queue2one)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE70ONE4XI -  CONSUMER_CHANNEL2ONE: ", consumer_channel2one)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE70ONE4XI -  PUBLISHER_CHANNEL2ONE: ", publisher_channel2one)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE70ONE4XI - TRYING TO RETURN BY PUTTING SHOT2ONE7004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2one.put(shot2one7004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE70ONE4XI - SUCCEEDED TO PUT SHOT2ONE7004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
            # SUCCEEDED TO PUT SHOT2ONE7004XI TO QUEUE2ONE:  <queue4xi.Queue4Xi object at 0x02AF7090>  - TIME:  23:45:06 08/24/10 Pacific Daylight Time  
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE70ONE4XI *** FAILED TO PUT SHOT2ONE7004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE70ONE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi())
        #
         
    if ack2put is True:
        message2send4one = "<ack2put4xi>queue2one8shot2one7004xi</ack2put4xi>"
    else:
        message2send4one = "<nack2put4xi>queue2one8shot2one7004xi</nack2put4xi>" 
                     
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------

        publisher_channel2one.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE70ONE4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi()) 
            # SENT MESSAGE2SEND4ONE:  <ack2put4xi>queue2one8shot2one7004xi</ack2put4xi>  TO PUBLISHER_CHANNEL2ONE:  <read-write PipeConnection, handle 260>  - TIME:  23:45:06 08/24/10 Pacific Daylight Time
        
    except:
        print(" (STEP 3C/33) OF FIRE70ONE4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE70ONE4XI - RETURNING QUEUE OBJECT QUEUE2ONE: ", queue2one, " - TIME: ", time4xi())  
        # 
            
    return queue2one    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire700one4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
